Как исправить ошибку при apt -f install?

Использую ispmanager, надо было установить ssh2 модуль, сделал apt update && apt -f install выдало ошибку
dpkg: considering deconfiguration of php-imagick, which would be broken by installation of php-common ...                  
dpkg: yes, will deconfigure php-imagick (broken by php-common)                                                             
dpkg: considering deconfiguration of php-radius, which would be broken by installation of php-common ...                   
dpkg: yes, will deconfigure php-radius (broken by php-common)                                                              
dpkg: considering deconfiguration of php-rrd, which would be broken by installation of php-common ...                      
dpkg: yes, will deconfigure php-rrd (broken by php-common)                                                                 
(Reading database ... 144537 files and directories currently installed.)                                                   
Preparing to unpack .../php-common_2%3a73+ubuntu16.04.1+deb.sury.org+1_all.deb ...                                         
De-configuring php-rrd (2.0.0+1.1.3-3) ...                                                                                 
php-maintscript-helper invoked from a modified environment. Please hint required arguments manually                        
dpkg: error processing archive /var/cache/apt/archives/php-common_2%3a73+ubuntu16.04.1+deb.sury.org+1_all.deb (--unpack):  
 subprocess installed pre-removal script returned error exit status 1                                                      
php_invoke: Enable module rrd for cgi SAPI                                                                                 
Errors were encountered while processing:                                                                                  
 /var/cache/apt/archives/php-common_2%3a73+ubuntu16.04.1+deb.sury.org+1_all.deb                                            
E: Sub-process /usr/bin/dpkg returned an error code (1)

Подскажите, пожалуйста, как исправить
  • Вопрос задан
  • 61 просмотр
Пригласить эксперта
Ответы на вопрос 1
@rPman
в лоб, удалить все проблемные пакеты и зависимости, и установить заново
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы